VERSION 5.00
Begin VB.Form frmTestClass 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "File UnPackager Test Application"
   ClientHeight    =   3495
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   4575
   Icon            =   "frmTestClass.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   3495
   ScaleWidth      =   4575
   StartUpPosition =   1  'CenterOwner
   Begin VB.TextBox txtDest 
      Height          =   285
      Left            =   1080
      TabIndex        =   8
      Text            =   "C:\"
      Top             =   840
      Width           =   3255
   End
   Begin VB.TextBox txtPackage 
      Height          =   285
      Left            =   1080
      TabIndex        =   6
      Text            =   "Package.pac"
      Top             =   120
      Width           =   3255
   End
   Begin VB.ComboBox cboFiles 
      Enabled         =   0   'False
      Height          =   315
      Left            =   1080
      Style           =   2  'Dropdown List
      TabIndex        =   4
      Top             =   480
      Width           =   3255
   End
   Begin VB.CommandButton cmdKill 
      Caption         =   "Remove File"
      Height          =   495
      Left            =   1560
      TabIndex        =   2
      Top             =   2520
      Width           =   1455
   End
   Begin VB.CommandButton cmdInit 
      Caption         =   "Initialise Package"
      Height          =   495
      Left            =   1560
      TabIndex        =   1
      Top             =   1320
      Width           =   1455
   End
   Begin VB.CommandButton cmdExtract 
      Caption         =   "Extract File"
      Height          =   495
      Left            =   1560
      TabIndex        =   0
      Top             =   1920
      Width           =   1455
   End
   Begin VB.Label lblDest 
      AutoSize        =   -1  'True
      Caption         =   "Destination:"
      Height          =   195
      Left            =   195
      TabIndex        =   9
      Top             =   870
      Width           =   840
   End
   Begin VB.Label lblPackage 
      AutoSize        =   -1  'True
      Caption         =   "Package:"
      Height          =   195
      Left            =   345
      TabIndex        =   7
      Top             =   135
      Width           =   690
   End
   Begin VB.Label lblFile 
      AutoSize        =   -1  'True
      Caption         =   "File:"
      Height          =   195
      Left            =   750
      TabIndex        =   5
      Top             =   510
      Width           =   285
   End
   Begin VB.Label lblFiles 
      Alignment       =   2  'Center
      BackColor       =   &H00C0FFFF&
      BorderStyle     =   1  'Fixed Single
      Caption         =   "Files in package: 0"
      Height          =   270
      Left            =   240
      TabIndex        =   3
      Top             =   3120
      Width           =   4095
   End
End
Attribute VB_Name = "frmTestClass"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

' UnPackage example test application
' Version 1.0
' By Leigh Bowers
' Copyright 1999 Compulsion

Private Package As clsUnPackage
Private Sub cmdInit_Click()

    Dim bLoop As Byte

    Package.Package = txtPackage.Text

    If Package.Initialise Then
    
        'cmdInit.Enabled = False
        cboFiles.Enabled = True
        lblFiles.Caption = "Files in package: " & Package.NumberOfFiles
        
        cboFiles.Clear
        For bLoop = 0 To Package.NumberOfFiles - 1
            cboFiles.AddItem Package.GetFilename(bLoop)
        Next ' bLoop
        cboFiles.ListIndex = 0
        
    Else
    
        MsgBox "Specified package not found.", vbExclamation + vbOKOnly
        cboFiles.Clear
        cboFiles.Enabled = False
        lblFiles.Caption = "Files in package: 0"
        
    End If
    
End Sub


Private Sub cmdKill_Click()

    If Package.Remove(cboFiles.List(cboFiles.ListIndex)) Then
        MsgBox "Removed " + cboFiles.List(cboFiles.ListIndex)
        ' cmdKill.Enabled = False
    End If

End Sub

Private Sub cmdExtract_Click()

    Screen.MousePointer = vbHourglass

    Package.Destination = RTrim(txtDest.Text)

    If Package.ExtractFile(cboFiles.List(cboFiles.ListIndex)) Then
        MsgBox "Extracted " + cboFiles.List(cboFiles.ListIndex)
        ' cmdText.Enabled = False
    End If
    
    Screen.MousePointer = vbDefault

End Sub

Private Sub Form_Load()

    Set Package = New clsUnPackage

    Package.Buffer = 2048
    Package.Package = "C:\Package.pac"
    Package.Destination = RTrim(txtDest.Text)

End Sub



